Bug#577088: sound-juicer: doesn't find any CD drives, even when told which to use

Stephen Kitt steve at sk2.org
Fri Apr 9 13:53:23 UTC 2010

Package: sound-juicer
Version: 2.28.2-1
Severity: normal


On my machine sound-juicer can no longer find any CD drives to use (I
have two, an ATAPI DVD-RW drive and a SCSI CD-RW drive).

If I start sound-juicer without any arguments, it pops up a dialog box
titled "No CD-ROM drives found" saying "Sound Juicer could not find
any CD-ROM drives to read."

If I start sound-juicer with the -d parameter to specify a CD-ROM
drive, for example
       sound-juicer -d /dev/sr1
(with an audio CD in the drive, just to make sure), it pops up a
different dialog box titled "Sound Juicer could not use the CD-ROM
device '/dev/sr1'" saying "HAL daemon may not be running." (I thought
hal was no longer required; is that not the case?)

I tried installing hal but it didn't change anything (I didn't restart
my session though).

cdparanoia can extract the audio using the same drive without any
trouble. I tried stracing sound-juicer but couldn't see anything



-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing'), (500, 'stable'), (200, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-4-686-bigmem (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages sound-juicer depends on:
ii  gconf2                        2.28.0-1   GNOME configuration database syste
ii  gstreamer0.10-plugins-base    0.10.28-1  GStreamer plugins from the "base" 
ii  gstreamer0.10-plugins-good    0.10.21-1  GStreamer plugins from the "good" 
ii  libatk1.0-0                   1.30.0-1   The ATK accessibility toolkit
ii  libbrasero-media0             2.28.3-2   CD/DVD burning library for GNOME -
ii  libc6                         2.10.2-6   Embedded GNU C Library: Shared lib
ii  libcanberra-gtk0              0.22-1     Gtk+ helper for playing widget eve
ii  libcdio10                     0.81-4     library to read and control CD-ROM
ii  libdbus-glib-1-2              0.84-1     simple interprocess messaging syst
ii  libgcc1                       1:4.4.2-9  GCC support library
ii  libgconf2-4                   2.28.0-1   GNOME configuration database syste
ii  libglade2-0                   1:2.6.4-1  library to load .glade files at ru
ii  libglib2.0-0                  2.22.4-1   The GLib library of C routines
ii  libgnome-media0               2.28.1-1   runtime libraries for the GNOME me
ii  libgstreamer0.10-0            0.10.28-1  Core GStreamer libraries and eleme
ii  libgtk2.0-0                   2.18.9-2   The GTK+ graphical user interface 
ii  libmusicbrainz3-6             3.0.2-2    library to access the MusicBrainz.
ii  libpango1.0-0                 1.26.2-2   Layout and rendering of internatio

Versions of packages sound-juicer recommends:
ii  eject           2.1.5+deb1+cvs20081104-7 ejects CDs and operates CD-Changer

Versions of packages sound-juicer suggests:
ii  brasero                       2.28.3-2   CD/DVD burning application for GNO
pn  gstreamer0.10-lame            <none>     (no description available)
pn  gstreamer0.10-plugins-really- <none>     (no description available)
ii  gstreamer0.10-plugins-ugly    0.10.14-1  GStreamer plugins from the "ugly" 

-- no debconf information

More information about the pkg-gnome-maintainers mailing list